/*-------------------------------
  FOOTER
  --------------------------------*/
.site-footer{
  position: relative;
  background-color: #18212e;
  .footer-top {
    padding-bottom: 30px;
    padding-top: 120px;
    .footer-address{
      display: inline-block;
      padding-left: 0;
      margin-top: 20px;
      li{
        display: inline-block;
        padding-left: 10px;
        padding-right: 10px;
        color: #9c9c9c;
        font-size: 22px;
        border-left: 1px solid #7e7e80;
        &:last-child{border-left: 0;}
      }
    }
    .button-block {
      position: relative;
      display: inline-block;
      width: 100%;
      padding-top: 90px;
      @media #{$lg} {
        padding-top:0;
       }
      .btn-tagline {
        position: absolute;
        top: 30px;
        left:35%;
        color: var( --color-white);
        text-transform: uppercase;
        @media #{$lg} {
          top: -70px;
          left:10px;
         }
        img {
          position: absolute;
          left: 0;
          margin-top: 20px;
          font-size: 27px;
          transition: all 0.4s ease;
          z-index: 2;
          animation: btnIconMove 2s linear infinite;
        }
      }
    }
  }
  .footer-bottom {
    padding-bottom: 100px;
    .container{
      padding-top: 20px;
    border-top: 2px solid var(--color-gray);
    }
    .social li
    {
      display: inline-block;
      margin-bottom: 10px;
       a{
        display: block;
        position: relative;
        height: 42px;
        width: 42px;
        margin-left: 7px;
        border: 2px solid #fed104;
        background: transparent;
        color: #fff;
        text-align: center;
        line-height: 38px;
        font-size: 18px;
        @include border-radius(100%);
      i{
        position: absolute;
        left: 10px;
        z-index: 2;
        line-height: 38px;
      }
      &::before{
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 0;
        content: "";
        @include border-radius(100%);
        transform: scale(0);
      transition: all .4s ease-in;
      }
      &:hover{
        border-color: transparent;
      }
      &:hover::before,
      &:focus::before{
        @include opacity(1);
  transform: scale(1);
}

&.pinterest:before{
  background-color: #cb2027;

}
&.twitter:before{
  background-color: #1DA1F2 !important;

}
&.facebook:before{
  background-color: #3b5998 !important;

}
&.instagram:before{
  background: linear-gradient(45deg, #f09433 0%,#e6683c 25%,#dc2743 50%,#cc2366 75%,#bc1888 100%) !important;

}
&.google:before{
  background-color: #DB4437 !important;

}
&.linkedin:before{
  background-color: #0077B5 !important;

}
       }
    }
    .copyright {
      display: inline-block;
      color: #9c9c9c;
      font-size: 18px;
    }
  }
}

.footer-bg {
  background: #17262d url(../images/bg/footer-bg.jpg) center center no-repeat fixed;
  background-color: rgb(23, 38, 45);
  background-size: auto;
  background-size: cover;
}



@keyframes btnIconMove {
  0% {
    -webkit-transform: rotateX(20deg) scale(1, -1) translate(3px, 0px);
            transform: rotateX(20deg) scale(1, -1) translate(3px, 0px);
  }
  50% {
    -webkit-transform: rotateX(20deg) scale(1, -1) translate(10px, 0px);
            transform: rotateX(20deg) scale(1, -1) translate(10px, 0px);
  }
  100% {
    -webkit-transform: rotateX(20deg) scale(1, -1) translate(3px, 0px);
            transform: rotateX(20deg) scale(1, -1) translate(3px, 0px);
  }
}

